List invocations for a team, optionally filtered by repository and invocation metadata
GET
https://api.vercel.com/v2/vercel-ci/invocationsList Invocations
https://api.vercel.com/v2/vercel-ci/invocations
const response = await fetch('https://api.vercel.com/v2/vercel-ci/invocations?provider=string&repository=string&branchName=string&snapshot=string&status=[]&conclusion=[]&source=[]&authorGitHubId=string&author=string&createdAfter=123&createdBefore=123&limit=123&cursor=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "invocations": [ { "invocationId": "example_id", "attempt": "123", "teamId": "example_id", "source": { "type": "string" }, "createdAt": "123", "repositoryKey": "string", "ref": "string", "commitSha": "string", "skipped": { "reason": "Customer requested refund" }, "bootstrappingStarted": { "startedAt": "123" }, "bootstrappingFailed": { "reason": "Customer requested refund" }, "sandboxSnapshotted": { "sandboxSnapshotId": "example_id", "workingDirectory": "string", "snapshottedAt": "123" }, "sandboxNamed": { "sandboxName": "Example Name", "workingDirectory": "string", "readyAt": "123" }, "jobDefinitionsCreated": { "names": [], "source": "string", "scheduledAt": "123" }, "completed": { "completedAt": "123", "conclusion": "string" }, "setupConclusion": { "result": "string" }, "runConclusion": { "result": "string" }, "status": "string" } ], "repositories": "value", "pagination": { "nextCursor": "string" }}Errors
{ "error": { "code": "string", "message": "string" }}AuthorizationbearerToken
Default authentication mechanism